keama(8)

NAME
keama - Kea Migration Assistant

SYNOPSIS
keama [ -4 | -6] [ -D ] [ -N ] [ -r {perform|fatal|pass} ] [ -l hook-library-path ] [ -i input-file ] [ -o output-file ]

DESCRIPTION
The Kea Migration Assistant converts an ISC DHCP configuration file into the corresponding Kea configuration file.

COMMAND LINE

Protocol selection options:

-4  The input configuration is for DHCPv4. Incompatible with the -6 option.

-6  The input configuration is for DHCPv6. Incompatible with the -4 option.

-D  Define ISC DHCP minimum, default and maximum builtin lifetimes.

-N  Instead of using global host reservations, put them in the matching subnet.

-r action
    Specify what to do with hostnames: resolve them into their first address, raise a fatal error or pass them silently.

-p hook-library-path
    Specify the path where hook libraries (e.g. flex-id) can be found

-i input-file
    Specify the ISC DHCP configuration file to read. When it is not given the standard input is used.

-o output-file
    Specify the Kea configuration file to write. When it is not given the standard output is used.

The number of conversion failures is returned. Note that any parsing warning or error is fatal so please check and fix the ISC DHCP configuration file before using this tool.

SEE ALSO
dhcpd(8), kea-dhcp4(8), kea-dhcp6(8).

AUTHOR
keama(8) To learn more about Internet Systems Consortium, see https://www.isc.org